Skip to main content
GET
/
v2
/
catalog
/
cpus
Error
A valid request URL is required to generate request examples
{
  "cpus": [
    {
      "id": "cpu5c",
      "name": "Compute-Optimized",
      "group": "Gen 5",
      "vcpu": {
        "min": 2,
        "max": 32
      },
      "ramGbPerVcpu": 2.5,
      "price": {
        "securePerVcpu": 0.04,
        "serverlessPerVcpu": 0.03
      },
      "dataCenters": [
        {
          "id": "US-CA-2",
          "name": "US California 2"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include
enum<string>[]

Comma-separated optional expansions. Supported value today: AVAILABILITY. This may expand with more include values in the future.

Maximum array length: 1

Catalog include expansion. Only AVAILABILITY is supported today; additional include values may be added in the future.

Available options:
AVAILABILITY
product
enum<string>[]

Comma-separated availability product context. Valid only with include=AVAILABILITY. Supported values for CPUs: POD, SERVERLESS. Defaults to POD when omitted.

CPU catalog product availability context.

Available options:
POD,
SERVERLESS
Example:
["POD", "SERVERLESS"]
vcpuCount
integer

Availability vCPU count. Valid only with include=AVAILABILITY. Must be a power of two.

Required range: x >= 2

Response

OK

cpus
object[]
required